[page:WebGLRenderTarget] →

# [name]

This type of render target represents an array of textures.

## Examples

[example:webgl2_rendertarget_texture2darray WebGL 2 / render target / array]

## Constructor

### [name]( [param:Number width], [param:Number height], [param:Number depth] )

[page:Number width] - the width of the render target, in pixels.
[page:Number height] - the height of the render target, in pixels.
[page:Number depth] - the depth/layer count of the render target.
Creates a new [name].

## Properties

### See [page:WebGLRenderTarget] for inherited properties

### [property:number depth]

The depth of the render target.

### [property:DataArrayTexture texture]

The texture property is overwritten with an instance of [page:DataArrayTexture].

## Methods

### See [page:WebGLRenderTarget] for inherited methods

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]